alanjt 发表于 2022-7-6 07:16:19

(defun c:Test (/ a b c)
(initget 6)
(if (and (setq a (getdist "\nSpecify length of side A: "))
          (progn (initget 6) (setq b (getdist "\nSpecify length of side B: ")))
          (progn (initget 6) (setq c (getdist "\nSpecify length of side C: ")))
   )
   (command "_.pline"
            "_non"
            (list 0. a 0.)
            "_non"
            '(0. 0. 0.)
            "_non"
            (list c 0. 0.)
            "_non"
            (list c b 0.)
            "_close"
   )
)
(princ)
)

V-SAM 发表于 2022-7-6 07:22:18

很好谢谢你先生。。。你总是让我惊讶。

ReMark 发表于 2022-7-6 07:26:57

当这些人面临真正的挑战时,你应该看到他们。。。它们简直太神奇了。
页: 1 [2]
查看完整版本: 用Lisp语言绘制多边形